package com.diagbot.client;

import com.diagbot.client.hystrix.MrqcHystrix;
import com.diagbot.dto.AnalyzeRunDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.AnalyzeCdsVO;
import com.diagbot.vo.AnalyzeRunVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.Map;

/**
 * @Description: 病历质控客户端
 * @author: gaodm
 * @time: 2020/7/28 9:29
 */
@FeignClient(name = "mrqc", url = "${mrqc.url}", fallback = MrqcHystrix.class)
public interface MrqcClient {
    @PostMapping("/qc/behospitalInfo/analyze_run")
    RespDTO<AnalyzeRunDTO> analyzeRun(@Valid @RequestBody AnalyzeRunVO analyzeRunVO);

    @PostMapping("/qc/behospitalInfo/analyzeCds")
    RespDTO<Map<String, String>> caseWritingPrompt(@Valid @RequestBody AnalyzeCdsVO analyzeCdsVO);

}



