package com.diagbot.client.hystrix;

import com.diagbot.client.MrqcClient;
import com.diagbot.dto.AnalyzeRunDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.vo.AnalyzeCdsVO;
import com.diagbot.vo.AnalyzeRunVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.Map;

/**
 * @Description: 病历质控客户端（请求失败熔断）
 * @author: gaodm
 * @time: 2020/7/28 9:29
 */
@Component
@Slf4j
public class MrqcHystrix implements MrqcClient {

    @Override
    public RespDTO<AnalyzeRunDTO> analyzeRun(@Valid @RequestBody AnalyzeRunVO analyzeRunVO) {
        log.error("【hystrix】调用{}异常", "analyzeRun");
        return null;
    }

    @Override
    public RespDTO<Map<String, String>> caseWritingPrompt(@Valid AnalyzeCdsVO analyzeCdsVO) {
        log.error("【hystrix】调用{}异常", "caseWritingPrompt");
        return null;
    }
}
