package com.diagbot.config;

import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.util.unit.DataSize;

import javax.servlet.MultipartConfigElement;

/**
 * @Description: 配置上传文件大小的配置
 * @author: gaodm
 * @time: 2019/5/9 11:18
 */
@Configuration
public class MultipartConfigurer {
    /**
     * 配置上传文件大小的配置
     *
     * @return
     */
    @Bean
    public MultipartConfigElement multipartConfigElement() {
        MultipartConfigFactory factory = new MultipartConfigFactory();
        //  上传文件临时文件夹
        factory.setLocation(System.getProperty("/data/tmp"));
        //  单个数据大小
        factory.setMaxFileSize(DataSize.ofMegabytes(600));
        /// 总上传数据大小
        factory.setMaxRequestSize(DataSize.ofMegabytes(600));
        return factory.createMultipartConfig();
    }
}
