package com.diagbot.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 病历测试表
 * </p>
 *
 * @author gaodm
 * @since 2020-10-26
 */
@TableName("demo_mrtest_info")
public class MrtestInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 医院id
     */
    @Excel(name = "医院id", orderNum = "1", isImportField = "true")
    private Long hospitalId;

    /**
     * 接口类型 1:开单提醒，2：推理接口
     */
    private Integer type;

    /**
     * 病历号
     */
    @Excel(name = "病历号", orderNum = "2", isImportField = "true")
    private String mrCode;

    /**
     * 字段来源
     */
    @Excel(name = "字段来源", orderNum = "3", isImportField = "true")
    private String textSource;

    /**
     * 原始文本
     */
    @Excel(name = "原始文本", orderNum = "4", isImportField = "true")
    private String text;

    /**
     * 原始词
     */
    @Excel(name = "原始词", orderNum = "5", isImportField = "true")
    private String word;

    /**
     * 替换后文本
     */
    @Excel(name = "替换后文本", orderNum = "6", isImportField = "true")
    private String replaceText;

    /**
     * 替换词
     */
    @Excel(name = "替换词", orderNum = "7", isImportField = "true")
    private String replaceWord;

    /**
     * 开单项类型
     */
    @Excel(name = "开单项类型", orderNum = "8", isImportField = "true")
    private String billType;

    /**
     * 开单项
     */
    @Excel(name = "开单项", orderNum = "9", isImportField = "true")
    private String billName;

    /**
     * 结果
     */
    @Excel(name = "结果", orderNum = "10")
    private String result;

    /**
     * 是否通过 0:未通过，1：未通过
     */
    @Excel(name = "是否通过", orderNum = "11")
    private Integer pass;

    /**
     * 备注
     */
    @Excel(name = "备注", orderNum = "12")
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getMrCode() {
        return mrCode;
    }

    public void setMrCode(String mrCode) {
        this.mrCode = mrCode;
    }

    public String getTextSource() {
        return textSource;
    }

    public void setTextSource(String textSource) {
        this.textSource = textSource;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getWord() {
        return word;
    }

    public void setWord(String word) {
        this.word = word;
    }

    public String getReplaceText() {
        return replaceText;
    }

    public void setReplaceText(String replaceText) {
        this.replaceText = replaceText;
    }

    public String getReplaceWord() {
        return replaceWord;
    }

    public void setReplaceWord(String replaceWord) {
        this.replaceWord = replaceWord;
    }

    public String getBillType() {
        return billType;
    }

    public void setBillType(String billType) {
        this.billType = billType;
    }

    public String getBillName() {
        return billName;
    }

    public void setBillName(String billName) {
        this.billName = billName;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Integer getPass() {
        return pass;
    }

    public void setPass(Integer pass) {
        this.pass = pass;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "MrtestInfo{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", hospitalId=" + hospitalId +
                ", type=" + type +
                ", mrCode=" + mrCode +
                ", textSource=" + textSource +
                ", text=" + text +
                ", word=" + word +
                ", replaceText=" + replaceText +
                ", replaceWord=" + replaceWord +
                ", billType=" + billType +
                ", billName=" + billName +
                ", result=" + result +
                ", pass=" + pass +
                ", remark=" + remark +
                "}";
    }
}
