package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 演示病历表
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-19
 */
@TableName("demo_template_info")
@Getter
@Setter
public class TemplateInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 名称
     */
    private String name;

    /**
     * 医院id
     */
    private Long hospitalId;

    /**
     * 性别(1：男 2：女)
     */
    private Integer sex;

    /**
     * 年龄
     */
    private String age;

    /**
     * 病人姓名
     */
    private String patName;

    /**
     * 医生姓名
     */
    private String doctorName;

    /**
     * 门诊号
     */
    private String inquiryCode;

    /**
     * 卡号
     */
    private String cardNo;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 就诊时间
     */
    private Date inquiryDate;

    /**
     * 预览文字
     */
    private String preview;

    /**
     * 内容JSON字符串(模板内容)
     */
    private String dataJson;

    /**
     * 备注
     */
    private String remark;
}
