package com.diagbot.facade;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.DisclaimerInfoDTO;
import com.diagbot.entity.DisclaimerInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.enums.StatusEnum;
import com.diagbot.service.impl.DisclaimerInfoServiceImpl;
import com.diagbot.util.BeanUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.vo.DisclaimerInfoVO;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-07-27 14:31
 */
@Component
public class DisclaimerInfoFacade extends DisclaimerInfoServiceImpl {

    /**
     * @param disclaimerInfoVO
     * @return
     */
    public List<DisclaimerInfoDTO> getDisclaimerInfos(DisclaimerInfoVO disclaimerInfoVO) {
        QueryWrapper<DisclaimerInfo> disclaimerInformation = new QueryWrapper<>();
        disclaimerInformation
                .eq("is_deleted", IsDeleteEnum.N.getKey())
                .eq(StringUtil.isNotBlank(disclaimerInfoVO.getDisclaimerCode()), "disclaimer_code", disclaimerInfoVO.getDisclaimerCode())
                .eq("STATUS", StatusEnum.Enable.getKey())
                .orderByAsc("order_no");
        List<DisclaimerInfo> data = list(disclaimerInformation);
        List<DisclaimerInfoDTO> datas = BeanUtil.listCopyTo(data, DisclaimerInfoDTO.class);
        return datas;
    }
}
