package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DeptConfig;
import com.diagbot.entity.DrugConfig;
import com.diagbot.vo.DeptConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 科室映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-08-12
 */
public interface DeptConfigMapper extends BaseMapper<DeptConfig> {
    /**
     * 分页查询
     *
     * @param deptConfigPageVO
     * @return
     */
    IPage<DeptConfig> getPage(@Param("deptConfigPageVO") DeptConfigPageVO deptConfigPageVO);

    /**
     * 科室搜索
     *
     * @param retrievalVO
     * @return
     */
    List<DeptConfig> getDeptsIndex (RetrievalVO retrievalVO);
}