package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.OperationConfig;
import com.diagbot.vo.OperationConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 手术映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface OperationConfigMapper extends BaseMapper<OperationConfig> {
    /**
     * 分页查询
     *
     * @param operationConfigPageVO
     * @return
     */
    IPage<OperationConfig> getPage(@Param("operationConfigPageVO") OperationConfigPageVO operationConfigPageVO);

    /**
     * 手术搜索
     *
     * @param retrievalVO
     * @return
     */
    List<OperationConfig> getOperationsIndex(RetrievalVO retrievalVO);
}
