package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.PacsConfig;
import com.diagbot.vo.PacsConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 检查公表映射 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface PacsConfigMapper extends BaseMapper<PacsConfig> {
    /**
     * 分页查询
     *
     * @param pacsConfigPageVO
     * @return
     */
    IPage<PacsConfig> getPage(@Param("pacsConfigPageVO") PacsConfigPageVO pacsConfigPageVO);

    /**
     * 辅检
     *
     * @param retrievalVO
     * @return
     */
    List<PacsConfig> getPACSsIndex (RetrievalVO retrievalVO);
}