package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.entity.SysMenu;
import com.diagbot.entity.wrapper.SysMenuWrapper;

import java.util.List;

/**
 * <p>
 * 系统菜单 Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2020-04-12
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {
    /**
     * @Description: 根据用户id获取菜单
     * @Author: ztg
     * @Date: 2018/9/14 13:57
     */
    public List<SysMenuWrapper> getByRole(Long userId);


    /**
     * @Description: 根据id获取子级菜单
     * @Author: ztg
     * @Date: 2018/9/14 13:59
     */
    public List<SysMenuWrapper> getSubMenuById(Long id);

}
