package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DiseaseConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.PacsConfig;
import com.diagbot.vo.DiseaseConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 诊断映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DiseaseConfigService extends IService<DiseaseConfig> {
    /**
     * 分页查询
     *
     * @param diseaseConfigPageVO
     * @return
     */
    IPage<DiseaseConfig> getPage(@Param("diseaseConfigPageVO") DiseaseConfigPageVO diseaseConfigPageVO);

    /**
     * 疾病搜索
     *
     * @param retrievalVO
     * @return
     */
    List<DiseaseConfig> getDiseasesIndex (RetrievalVO retrievalVO);
}
