package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DrugConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.DrugConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 药品映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface DrugConfigService extends IService<DrugConfig> {
    /**
     * 分页查询
     *
     * @param drugConfigPageVO
     * @return
     */
    IPage<DrugConfig> getPage(@Param("drugConfigPageVO") DrugConfigPageVO drugConfigPageVO);

    /**
     * 药品搜索
     *
     * @param retrievalVO
     * @return
     */
    List<DrugConfig> getMedicinesIndex (RetrievalVO retrievalVO);
}
