package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.OperationConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.vo.OperationConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 手术映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
public interface OperationConfigService extends IService<OperationConfig> {
    /**
     * 分页查询
     *
     * @param operationConfigPageVO
     * @return
     */
    IPage<OperationConfig> getPage(@Param("operationConfigPageVO") OperationConfigPageVO operationConfigPageVO);

    /**
     * 手术搜索
     *
     * @param retrievalVO
     * @return
     */
    List<OperationConfig> getOperationsIndex(RetrievalVO retrievalVO);
}
