package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.DiseaseConfig;
import com.diagbot.mapper.DiseaseConfigMapper;
import com.diagbot.service.DiseaseConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.DiseaseConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 诊断映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class DiseaseConfigServiceImpl extends ServiceImpl<DiseaseConfigMapper, DiseaseConfig> implements DiseaseConfigService {
    /**
     * 分页查询
     *
     * @param diseaseConfigPageVO
     * @return
     */
    public IPage<DiseaseConfig> getPage(@Param("diseaseConfigPageVO") DiseaseConfigPageVO diseaseConfigPageVO){
        return baseMapper.getPage(diseaseConfigPageVO);
    }

    /**
     * 疾病搜索
     *
     * @param retrievalVO
     * @return
     */
    public List<DiseaseConfig> getDiseasesIndex (RetrievalVO retrievalVO){
        return baseMapper.getDiseasesIndex(retrievalVO);
    }
}
