package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.LisConfig;
import com.diagbot.mapper.LisConfigMapper;
import com.diagbot.service.LisConfigService;
import com.diagbot.vo.LisConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 化验公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class LisConfigServiceImpl extends ServiceImpl<LisConfigMapper, LisConfig> implements LisConfigService {
    /**
     * 分页查询
     *
     * @param lisConfigPageVO
     * @return
     */
    public IPage<LisConfig> getPage(@Param("lisConfigPageVO") LisConfigPageVO lisConfigPageVO) {
        return baseMapper.getPage(lisConfigPageVO);
    }

    /**
     * 化验大项
     *
     * @param retrievalVO
     * @return
     */
    public List<LisConfig> getLisPacksIndex(RetrievalVO retrievalVO) {
        return baseMapper.getLisPacksIndex(retrievalVO);
    }

    /**
     * 化验小项
     *
     * @param retrievalVO
     * @return
     */
    public List<LisConfig> getLisIndex(RetrievalVO retrievalVO) {
        return baseMapper.getLisIndex(retrievalVO);
    }
}
