package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.OperationConfig;
import com.diagbot.mapper.OperationConfigMapper;
import com.diagbot.service.OperationConfigService;
import com.diagbot.vo.OperationConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 手术映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class OperationConfigServiceImpl extends ServiceImpl<OperationConfigMapper, OperationConfig> implements OperationConfigService {
    /**
     * 分页查询
     *
     * @param operationConfigPageVO
     * @return
     */
    public IPage<OperationConfig> getPage(@Param("operationConfigPageVO") OperationConfigPageVO operationConfigPageVO) {
        return baseMapper.getPage(operationConfigPageVO);
    }

    /**
     * 手术搜索
     *
     * @param retrievalVO
     * @return
     */
    public List<OperationConfig> getOperationsIndex(RetrievalVO retrievalVO) {
        return baseMapper.getOperationsIndex(retrievalVO);
    }
}
