package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.PacsConfig;
import com.diagbot.mapper.PacsConfigMapper;
import com.diagbot.service.PacsConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.vo.PacsConfigPageVO;
import com.diagbot.vo.RetrievalVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 检查公表映射 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-07-28
 */
@Service
public class PacsConfigServiceImpl extends ServiceImpl<PacsConfigMapper, PacsConfig> implements PacsConfigService {
    /**
     * 分页查询
     *
     * @param pacsConfigPageVO
     * @return
     */
    public IPage<PacsConfig> getPage(@Param("pacsConfigPageVO") PacsConfigPageVO pacsConfigPageVO) {
        return baseMapper.getPage(pacsConfigPageVO);
    }

    /**
     * 辅检
     *
     * @param retrievalVO
     * @return
     */
    public List<PacsConfig> getPACSsIndex (RetrievalVO retrievalVO){
        return baseMapper.getPACSsIndex(retrievalVO);
    }
}
