package com.diagbot.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.diagbot.entity.TransfusionConfig;
import com.diagbot.mapper.TransfusionConfigMapper;
import com.diagbot.service.TransfusionConfigService;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.TransfusionConfigPageVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 输血映射表 服务实现类
 * </p>
 *
 * @author zhaops
 * @since 2020-08-31
 */
@Service
public class TransfusionConfigServiceImpl extends ServiceImpl<TransfusionConfigMapper, TransfusionConfig> implements TransfusionConfigService {

    /**
     * 分页查询
     *
     * @param transfusionConfigPageVO
     * @return
     */
    @Override
    public IPage<TransfusionConfig> getPage(@Param("transfusionConfigPageVO") TransfusionConfigPageVO transfusionConfigPageVO) {
        return baseMapper.getPage(transfusionConfigPageVO);
    }

    /**
     * 输血搜索
     *
     * @param retrievalVO
     * @return
     */
    public List<TransfusionConfig> getTransfusionIndex(RetrievalVO retrievalVO) {
        return baseMapper.getTransfusionIndex(retrievalVO);
    }
}
