package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author wangfeng
 * @Description:
 * @date 2020-08-03 9:55
 */
@Setter
@Getter
public class HospitalPlanSaveVO {

    private Long id;
    /**
     * 医院编码
     */
    @NotNull(message = "请输入医院id")
    private Long hospitalId;

    /**
     * 方案名称
     */
    @NotBlank(message = "请输入方案名称")
    private String planName;

    /**
     * 方案编号
     */
    @NotBlank(message = "请输入方案编号")
    private String planCode;

    /**
     * 方案启动1：启动，0：不启用
     */
    @NotNull(message = "请输状态")
    private Integer planStatus;

    /**
     * 备注
     */
    private String remark;

    private List<HospitalPlanDetailSaveVO> planDetailParent;
}
