package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DictionaryInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DictionaryFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * @Description: CDSS字典表 前端控制器
 * @author: gaodm
 * @time: 2020/8/17 9:34
 */
@RequestMapping("/sys/dictionaryInfo")
@RestController
@SuppressWarnings("unchecked")
@Api(value = "字典信息API", tags = { "字典信息API" })
public class DictionaryInfoController {

    @Autowired
    DictionaryFacade dictionaryFacade;

    @ApiOperation(value = "返回字典信息(界面返回)[by:gaodm]",
            notes = "")
    @PostMapping("/getList")
    @SysLogger("getList")
    public RespDTO<Map<Long, List<DictionaryInfoDTO>>> getList() {
        Map<Long, List<DictionaryInfoDTO>> data = dictionaryFacade.getList();
        return RespDTO.onSuc(data);
    }

    @ApiOperation(value = "返回字典信息(后台维护返回)[by:gaodm]",
            notes = "")
    @PostMapping("/getListBack")
    @SysLogger("getListBack")
    public RespDTO<Map<Long, List<DictionaryInfoDTO>>> getListBack() {
        Map<Long, List<DictionaryInfoDTO>> data = dictionaryFacade.getListBack();
        return RespDTO.onSuc(data);
    }
}
