package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DisclaimerInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DisclaimerInfoFacade;
import com.diagbot.vo.DisclaimerInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 免责申明详情 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-27
 */
@RestController
@RequestMapping("/sys/disclaimerInfo")
@Api(value = "免责申明详情API[by:wangfeng]", tags = { "免责申明详情API" })
@SuppressWarnings("unchecked")
public class DisclaimerInfoController {
    @Autowired
    DisclaimerInfoFacade disclaimerInfoFacade;

    @ApiOperation(value = "获取免责申明详情[by:wangfeng]", notes = "disclaimerCode:免责申明编号")
    @PostMapping("/getDisclaimerInfo")
    @SysLogger("getDisclaimerInfo")
    public RespDTO<List<DisclaimerInfoDTO>> getDisclaimerInfo(@RequestBody DisclaimerInfoVO disclaimerInfoVO) {
        List<DisclaimerInfoDTO> data = disclaimerInfoFacade.getDisclaimerInfos(disclaimerInfoVO);
        return RespDTO.onSuc(data);
    }
}
