package com.diagbot.web;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.MrFacade;
import com.diagbot.vo.MrVO;
import com.diagbot.vo.PushJoinVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description: 病历保存到redis控制层
 * @author: gaodm
 * @time: 2019/8/28 16:25
 */
@RestController
@RequestMapping("/sys/mr")
@Api(value = "电子病历API[by:wangfeng]", tags = { "电子病历API" })
@SuppressWarnings("unchecked")
public class MrController {

	@Autowired
	private MrFacade mrFacade;

	@ApiOperation(value = "保存病历信息:[by:gaodm]",
			notes = "")
	@PostMapping("/createMr")
	@SysLogger("createMr")
	public RespDTO<String> createMr(@RequestBody PushJoinVO pushJoinVO) {
		return RespDTO.onSuc(mrFacade.createMr(pushJoinVO));
	}

	@ApiOperation(value = "获取病历信息 :[by:gaodm]",
			notes = "mrId: 病历编号，必填<br>")
	@PostMapping("/getMr")
	@SysLogger("getMr")
	public RespDTO<PushJoinVO> getMr(@RequestBody @Valid MrVO mrVO) {
		return RespDTO.onSuc(mrFacade.getMr(mrVO.getMrId()));
	}
}