package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.dto.RetrievalDTO;
import com.diagbot.facade.RetrievalFacade;
import com.diagbot.vo.RetrievalVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/8/12 16:45
 */
@RestController
@RequestMapping("/demo/retrieval")
@Api(value = "术语检索相关API", tags = { "术语检索相关API" })
@SuppressWarnings("unchecked")
public class RetrievalController {
    @Autowired
    private RetrievalFacade retrievalFacade;

    @ApiOperation(value = "术语检索[zhaops]",
            notes = "type： 类型：1-化验大项、2-化验小项、3-辅检、4-诊断、5-药品、6-手术和操作、7-科室、8-输血 <br>" +
                    "inputStr： 检索内容<br>" +
                    "sex： 性别：1-男、2-女、3-通用 <br>" +
                    "age： 年龄<br>")
    @PostMapping("/index")
    public RespDTO<RetrievalDTO> index(@Valid @RequestBody RetrievalVO retrievalVO) {
        RetrievalDTO data = retrievalFacade.index(retrievalVO);
        return RespDTO.onSuc(data);
    }
}