package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.TestcaseInfoDTO;
import com.diagbot.facade.TestcaseInfoFacade;
import com.diagbot.vo.TestcaseInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 测试用例表 前端控制器
 * </p>
 *
 * @author gaodm
 * @since 2020-09-27
 */
@RestController
@RequestMapping("/demo/testcaseInfo")
@Api(value = "测试用例表API[by:gaodm]", tags = { "测试用例表API" })
@SuppressWarnings("unchecked")
public class TestcaseInfoController {

    @Autowired
    private TestcaseInfoFacade testcaseInfoFacade;

    @ApiOperation(value = "执行测试用例[by:gaodm]",
            notes = "hospitalId：医院id（可不填）;")
    @PostMapping("/testcaseProcess")
    @SysLogger("testcaseProcess")
    @Transactional
    public RespDTO<TestcaseInfoDTO> testcaseProcess(@RequestBody TestcaseInfoVO testcaseInfoVO) {
        return RespDTO.onSuc(testcaseInfoFacade.testcaseProcess(testcaseInfoVO));
    }
}
