package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.PermissionDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.TokenPermissionFacade;
import com.diagbot.vo.TokenPermissionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2020-07-29
 */

@RestController
@RequestMapping("/sys/tokenPermission")
@Api(value = "医院权限缓存API", tags = { "医院权限缓存API" })
@SuppressWarnings("unchecked")
public class TokenPermissionController {
    @Autowired
    private TokenPermissionFacade tokenPermissionFacade;

    @ApiOperation(value = "清空权限缓存[by:wangfeng]",
            notes = "")
    @PostMapping("/delPermission")
    @SysLogger("delPermission")
    public RespDTO<Boolean> delPermission() {
        return RespDTO.onSuc(tokenPermissionFacade.delPermission());
    }

    @ApiOperation(value = "获取权限缓存[by:wangfeng]",
            notes = "")
    @PostMapping("/getPermission")
    @SysLogger("getPermission")
    public RespDTO<PermissionDTO> getPermission(@RequestBody TokenPermissionVO tokenPermissionVO) {
        return RespDTO.onSuc(tokenPermissionFacade.getPermission(tokenPermissionVO));
    }

}
